%bcond_without v4l

%kmdl      gspcav1

Name: gspcav1
Version: 1.00.20
%define date 20071224
Release: 4%{?dist}
Summary: A video for linux (v4l) driver for webcams
License: GPL
Group: System Environment/Kernel
Source0: http://mxhaard.free.fr/spca50x/Download/gspcav1-%{date}.tar.gz
URL: http://mxhaard.free.fr/
BuildRoot: %{_tmppath}/%{name}-root
%{?with_v4l:BuildRequires: video4linux-kernheaders}
%{?with_v4l:Requires:    video4linux}
%kmdl_parentdependencies
Obsoletes: spca5xx

%description
gspcav1 "Generic Software Package for Camera Adaptator"
replaces the spca5xx kernel module.
It is a video for linux (v4l) driver, providing 
support for webcams and digital cameras based on 
the spca5xx range of chips manufactured by SunPlus, Sonix,
Z-star, Vimicro, Conexant, Etoms, Transvision, Mars-Semi Pixart.

%package -n %kmdl_name
%kmdl_dependencies
Summary: A video for linux (v4l) driver for webcams
Group: System Environment/Kernel
%{?with_v4l:Requires: %{kmdl_nameof video4linux}}
Obsoletes: %{kmdl_nameof spca5xx}

%description -n %kmdl_name
gspcav1 "Generic Software Package for Camera Adaptator"
replaces the spca5xx kernel module.
It is a video for linux (v4l) driver, providing
support for webcams and digital cameras based on 
the spca5xx range of chips manufactured by SunPlus, Sonix, 
Z-star, Vimicro, Conexant, Etoms, Transvision, Mars-Semi, Pixart.

%kmdl_desc

%prep
%setup -q -n %{name}-%{date}
grep -rl '#include <linux/config.h>' . | \
     xargs perl -pi -e's,#include <linux/config.h>,/* #include <linux/config.h> */,'

%build
rm -rf %{buildroot}
mkdir %{buildroot}
%if %{kmdl_userland}
%else

%kmdl_config
%if %{with v4l}
OLDCPPFLAGS=`(cat %{kmdl_kernelsrcdir}/Makefile; echo -e '\nprint-cppflags:\n\t@echo $(CPPFLAGS)\n')\
  | make -sf- -C %{kmdl_kernelsrcdir} print-cppflags`
make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` \
  CPPFLAGS="-I/usr/include/v4l/linux/include $OLDCPPFLAGS" \
  modules
%else
make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` \
  modules
%endif

%endif

%install
%if %{kmdl_userland}

%else

rm -rf %{buildroot}
mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/usb/media

if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  install -c -m 0644 gspca.ko %{buildroot}%{kmdl_moduledir}/drivers/usb/media/
else
  install -c -m 0644 gspca.o %{buildroot}%{kmdl_moduledir}/drivers/usb/media/
fi

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc changelog

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}/drivers
%dir %{kmdl_moduledir}/drivers/usb
%dir %{kmdl_moduledir}/drivers/usb/media
%{kmdl_moduledir}/drivers/usb/media/gspca.*o

%endif

%changelog
* Sat Jan 26 2008 Paulo Roma <roma@lcg.ufrj.br> - 1.00.20-4
- Update to 1.00.20.

* Thu May 17 2007 Paulo Roma <roma@lcg.ufrj.br> - 1.00.18-4
- Update to 1.00.18.

* Sat Jan 14 2007 Paulo Roma <roma@lcg.ufrj.br> - 1.00.12-3
- Update to 1.00.12.

* Tue Jan  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.00.11-2
- Update to 1.00.11.

* Fri Oct 20 2006 Paulo Roma <roma@lcg.ufrj.br> 1.00-1
- Initial version.
 
